#ifndef __H2201_I2C_H__
#define __H2201_I2C_H__

#define H2201_I2C_TAG "H2201_I2C"

#define I2C_MASTER_SCL_IO 22       /*!< gpio number for I2C master clock */
#define I2C_MASTER_SDA_IO 21       /*!< gpio number for I2C master data  */
#define I2C_MASTER_NUM 0           /*!< I2C port number for master dev */
#define I2C_MASTER_FREQ_HZ 1000000 /*!< I2C master clock frequency */

#define I2C_MASTER_TX_BUF_DISABLE 0 /*!< I2C master doesn't need buffer */
#define I2C_MASTER_RX_BUF_DISABLE 0 /*!< I2C master doesn't need buffer */

void H2201_i2c_master_init(void);
void H2201_i2c_adau1761_init(void);

void H2201_i2c_beep(void);
void H2201_i2c_mastervolume(uint8_t volume);

#endif /* __H2201_I2C_H__ */